Bug 101116 - TEMPLATE MANAGER: managed template form fields are not correctly exposed to assistive technologies
Summary: TEMPLATE MANAGER: managed template form fields are not correctly exposed to a...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords: accessibility
Depends on:
Blocks: Template-Manager a11y
  Show dependency treegraph
 
Reported: 2016-07-25 15:38 UTC by Alex ARNAUD
Modified: 2016-10-25 20:03 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex ARNAUD 2016-07-25 15:38:19 UTC
Dear LibreOffice community,

I'm a blind person and I'm trying to use the "Manager Template" window but I've some difficulties to understand the window due to incorrect exposition of elements to assistive technologies.

The search field should expose the "place holder" to AT-SPI2 (for GNU/Linux)

The filter fields should be inside a panel of element that will be exposed to screen reader (for blind person). For example, if we use a panel the blind users will hear "Filter panel" before the list content. For now, we only hear the list content without the context (the context is important for people without vision capacity).

There is a "push button" after the template thumbnails without label so I don't know exactly what it should do.

If we need more informations or precisions, please ask me.

Best regards,
Alex.
Comment 1 Alex ARNAUD 2016-07-26 07:49:42 UTC
Dear all,

I've forgotten to mention that the "push button" should be activate by the "return" key because it is the standard way. 
In other applications like Thunderbird it's the only shortcut to activate this type of buttons, so, it should be difficult for users that need to learn different ways for activate buttons.

Best regards,
Alex.
Comment 2 Commit Notification 2016-07-27 18:06:09 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=982d96408e2222a3c1e30caa3432c5962a0dd13a

tdf#101116 Template manager not correctly exposed to assistive technolgies

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Jean-Philippe MENGUAL 2016-09-01 00:04:41 UTC
Hi,

Has the patch fixed this bug?

Could you be more precise please, there are not enough steps to reproduce. How could any dev, even not knowing a11y, reproduce and see what you're experiencing, to investigate then in the code?

Myself, to show it now, I don't know really what steps to follow. I'm unable to test its status with so few means to try.

Thanks
Comment 4 Alex ARNAUD 2016-09-01 13:43:11 UTC
(In reply to Jean-Philippe MENGUAL from comment #3)
> Hi,
Hi Jean-Philippe and all 

> Has the patch fixed this bug?
Thank you very much to the developer. The patches resolve the following
issue :
- The place holder text "search" is now correctly sent 
- The push button "settings" is correctly labeled 

The remaining issues are :
- All buttons are exposed as "push button". A "push button" is for a
blind user a button which opens a contextual menu. As I understood,
only the "settings" button should be a "push button"
- The settings push button doesn't allow to use enter key or space
bar to activate it. It's not logic for blind or partially sighted people to press down arrow key to activate a push button. 
- The two lists to filter the content are not bound to a label, so
It's not understandable at first time. The lists should be inside a
panel named "filter" or something like that.

Best regards,
Alex.
Comment 5 Yousuf Philips (jay) (retired) 2016-09-03 03:11:05 UTC
(In reply to Alex ARNAUD from comment #4)
> - All buttons are exposed as "push button". A "push button" is for a
> blind user a button which opens a contextual menu. As I understood,
> only the "settings" button should be a "push button"

Unfortunately Ora says "push button" for 3 variants of buttons (regular, spit and group), while NVDA called the settings button a drop down button.

> - The settings push button doesn't allow to use enter key or space
> bar to activate it. It's not logic for blind or partially sighted people to
> press down arrow key to activate a push button. 

This is a separate issue, so i've reported it in another bug (bug 101869).

> - The two lists to filter the content are not bound to a label, so
> It's not understandable at first time. The lists should be inside a
> panel named "filter" or something like that.

Patch submitted for those controls as well as one for the template list
https://gerrit.libreoffice.org/#/c/28637/
Comment 6 Commit Notification 2016-09-06 08:00:43 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=13d421570e0a5638d5c137a7c3499357b54a17e9

tdf#101116 Improve accessibility of template manager

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.